Package io.strimzi.systemtest.kafkaclients

## Interface KafkaClientOperations

- All Known Implementing Classes:
    `BasicExternalKafkaClient`, `InternalKafkaClient`, `OauthExternalKafkaClient`, `TracingExternalKafkaClient`

      public interface KafkaClientOperations

  Interface KafkaClientOperations used for basic operations with the clients
  See Also:
    `BasicExternalKafkaClient`, `OauthExternalKafkaClient`, `TracingExternalKafkaClient`, `InternalKafkaClient`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `receiveMessagesPlain​(long timeoutMs)` | Receiving plain messages with the selected client
    `int` | `receiveMessagesTls​(long timeoutMs)` | Sending encrypted messages using Tls technology with the selected client
    `int` | `sendMessagesPlain​(long timeoutMs)` | Sending plain messages with the selected client
    `int` | `sendMessagesTls​(long timeoutMs)` | Sending encrypted messages using Tls technology with the selected client

- - ### Method Detail

    - #### sendMessagesPlain

          int sendMessagesPlain​(long timeoutMs)
                         throws Exception

      Sending plain messages with the selected client
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        count of messages
      Throws:
        `Exception` - exception

    - #### sendMessagesTls

          int sendMessagesTls​(long timeoutMs)
                       throws Exception

      Sending encrypted messages using Tls technology with the selected client
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        count of messages
      Throws:
        `Exception` - exception

    - #### receiveMessagesPlain

          int receiveMessagesPlain​(long timeoutMs)
                            throws Exception

      Receiving plain messages with the selected client
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        count of messages
      Throws:
        `Exception` - exception

    - #### receiveMessagesTls

          int receiveMessagesTls​(long timeoutMs)
                          throws Exception

      Sending encrypted messages using Tls technology with the selected client
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        count of messages
      Throws:
        `Exception` - exception